﻿<%@ Import Namespace="UCommerce.Entities"%>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditProductBaseProperties.ascx.cs" Inherits="UCommerceWeb.Umbraco.UCommerce.Catalog.EditProductBaseProperties" %>
<%@ Register Namespace="UCommerce.Umbraco.Controls" TagPrefix="ucommerce" Assembly="UCommerce.Umbraco" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/ProductPropertyEditor.ascx" TagPrefix="commerce" TagName="ProductPropertyEditor" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/ValidationSummaryDisplay.ascx" TagPrefix="commerce" TagName="ValidationSummary" %>
<commerce:ValidationSummary ID="ValidationSummary1" runat="server" />
<script language="javascript" type="text/javascript">
function mediapicker_chooseId(targetelementid) 
    {
    	var treePicker = window.showModalDialog('/umbraco/dialogs/treePicker.aspx?appAlias=media', 'treePicker', 'dialogWidth=350px;dialogHeight=300px;scrollbars=yes;center=yes;border=thin;help=no;status=no');
	    
	    if (treePicker != undefined) 
	    {
		    selectedMedia = treePicker;
		    var element = document.getElementById(targetelementid);
		    element.value = selectedMedia;
	        //alert(selectedMedia);
	    }
	}
</script>

<div style="text-align: left;">
    <div class="propertyPane leftAligned" style="padding: 10px">
        <div>
            <table>
                <tr>
                    <th style="width: 150px;"><asp:Localize runat="server" meta:resourceKey="Sku" /></th>
                    <td><asp:TextBox runat="server" ID="SkuTextBox" Text="<%# View.Product.Sku %>"></asp:TextBox></td>
                    <td>
						<asp:RequiredFieldValidator runat="server" ControlToValidate="SkuTextBox" Display="Static" ErrorMessage="*" CssClass="validator" />
						<asp:CustomValidator ID="UniqueSkuValildator" runat="server" ControlToValidate="SkuTextBox" Display="Dynamic" ErrorMessage="A product with the SKU already exists*" meta:resourceKey="UniqueSkuValildator" OnServerValidate="UniqueSkuValidator_ServerValidate"></asp:CustomValidator>
                    </td>
                </tr>
                <tr>
                    <th><asp:Localize runat="server" meta:resourceKey="InternalName" /></th>
                    <td><asp:TextBox runat="server" ID="InternalNameTextBox" Text="<%# View.Product.Name %>"></asp:TextBox></td>
                    <td>
                        <asp:RequiredFieldValidator runat="server" ControlToValidate="InternalNameTextBox" Display="Static" ErrorMessage="*" CssClass="validator" />                        
                    </td>
                </tr>
                <tr>
                    <th><asp:Localize runat="server" meta:resourceKey="ProductDefinition" /></th>
                    <td><asp:Label runat="server" ID="ProductDefinitionLabel" Text="<%# View.ProductDefinition.Name %>" /></td>
                </tr>
                <tr>
                    <th><asp:Localize runat="server" meta:resourceKey="CreatedDate" /></th>
                    <td><asp:Label runat="server" ID="CreateDateLabel" Text="<%# View.Product.CreatedOn %>" /></td>
                </tr>
                <tr>
                    <th><asp:Localize runat="server" meta:resourceKey="LastModifiedDate" /></th>
                    <td><asp:Label runat="server" ID="LastModifiedLabel" Text="<%# View.Product.ModifiedOn %>" /></td>
                </tr>
                <tr>
                    <th><asp:Localize runat="server" meta:resourceKey="LastModifiedBy" /></th>
                    <td><asp:Label runat="server" ID="LastModifiedByLabel" Text="<%# View.Product.ModifiedBy %>" /></td>
                </tr>
            </table>
        </div>
    </div>
</div> 

<div style="text-align: left;">
    <div class="propertyPane leftAligned" style="padding: 10px">
        <div>
            <table>
                <tr>
                    <th style="width: 150px;"><asp:Localize runat="server" meta:resourceKey="DisplayOnSite" /></th>
                    <td><asp:CheckBox runat="server" ID="DisplayOnWebSiteCheckBox" Checked="<%# View.Product.DisplayOnSite %>" /></td>
                </tr>
                <tr>
                    <th><asp:Localize runat="server" meta:resourceKey="AllowOrdering" /></th>
                    <td><asp:CheckBox runat="server" ID="AllowOrderingCheckBox" Checked="<%# View.Product.AllowOrdering %>" /></td>
                </tr>
            </table>
        </div>
    </div>
</div> 
<asp:Repeater runat="server" ID="ProductPropertyRepeater" DataSource="<%# GetEditorBaseFields() %>" Visible="<%# HasCustomProperties %>">  
    <HeaderTemplate>
        <div style="text-align: left;">
            <div class="propertyPane leftAligned" style="padding: 10px">
                <div>
                    <table>    
    </HeaderTemplate>
    <ItemTemplate>
                        <tr>
                            <th style="width: 150px;"><%# ((ProductDefinitionField)Container.DataItem).Name %></th>
                            <td>                               
                               <commerce:ProductPropertyEditor runat="server" ID="ProductPropertyEditor" ProductProperty="<%# View.Product[((ProductDefinitionField)Container.DataItem).Name] %>" />
                            </td>
                            <td>
                                <asp:RequiredFieldValidator runat="server" ControlToValidate="ProductPropertyEditor" Enabled="<%# ((ProductDefinitionField)Container.DataItem).DataType.RequiredValidationEnabled %>" Display="Static" ErrorMessage="*" CssClass="validator" /> 
                                <asp:RegularExpressionValidator runat="server"
                                    ControlToValidate="ProductPropertyEditor" 
                                    ValidationExpression="<%# ((ProductDefinitionField)Container.DataItem).DataType.ValidationExpression ?? string.Empty %>" Enabled="<%# ((ProductDefinitionField)Container.DataItem).DataType.RegexValidationEnabled %>" Display="Static" ErrorMessage="*" CssClass="validator" />
                            </td>
                        </tr>
    </ItemTemplate>
    <FooterTemplate>
                    </table>
                </div>
            </div>
        </div>
    </FooterTemplate>
</asp:Repeater>
